Package org.kie.internal.builder.conf

# Class EvaluatorOption

java.lang.Object
org.kie.internal.builder.conf.EvaluatorOption

All Implemented Interfaces:
  `Serializable`, `MultiValueOption`, `Option`, `KnowledgeBuilderOption`, `MultiValueKieBuilderOption`, `MultiValueRuleBuilderOption`

public class EvaluatorOption extends Object implements MultiValueRuleBuilderOption
A class for the evaluators configuration. Drools supports custom evaluators. After implementing an evaluator use this option class to register it to the knowledge builder.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static OptionKey<EvaluatorOption>`
  `KEY`
  `static final String`
  `PROPERTY_NAME`
  The prefix for the property name for evaluators

  ### Fields inherited from interface org.kie.internal.builder.conf.MultiValueRuleBuilderOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `static EvaluatorOption`
  `get(String key, EvaluatorDefinition evaluator)`
  This is a factory method for this EvaluatorOption configuration.
  `EvaluatorDefinition`
  `getEvaluatorDefinition()`
  Returns the accumulate function instance
  `String`
  `getName()`
  Returns the name of the dialect configured as default
  `String`
  `getPropertyName()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.kie.internal.builder.conf.MultiValueRuleBuilderOption

  `type`

  ### Methods inherited from interface org.kie.api.conf.Option

  `propertyName`

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    The prefix for the property name for evaluators
    See Also:
      - Constant Field Values

  - ### KEY

    public static OptionKey<EvaluatorOption> KEY

- ## Method Details

  - ### get

    public static EvaluatorOption get(String key, EvaluatorDefinition evaluator)
    This is a factory method for this EvaluatorOption configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.
    Parameters:
      `key` - the key of the evaluator to be configured
      `evaluator` - the evaluator definition
    Returns:
      the actual type safe default dialect configuration.

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`

  - ### getName

    public String getName()
    Returns the name of the dialect configured as default
    Returns:

  - ### getEvaluatorDefinition

    public EvaluatorDefinition getEvaluatorDefinition()
    Returns the accumulate function instance
    Returns:

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`